Loading...
Searching...
No Matches
irr::gui::SGUISprite Struct Reference

A sprite composed of several frames. More...

`#include <IGUISpriteBank.h>`

## Public Member Functions

| SGUISprite ()

## Public Attributes

core::array< SGUISpriteFrame > | Frames
u32 | frameTime

## Detailed Description

A sprite composed of several frames.

Definition at line 32 of file IGUISpriteBank.h.

## Constructor & Destructor Documentation

## SGUISprite()

irr::gui::SGUISprite::SGUISprite | ( |  | ) |

inline

Definition at line 34 of file IGUISpriteBank.h.

References Frames, and frameTime.

## Member Data Documentation

## Frames

core::array<SGUISpriteFrame> irr::gui::SGUISprite::Frames

Definition at line 36 of file IGUISpriteBank.h.

Referenced by SGUISprite().

## frameTime

u32 irr::gui::SGUISprite::frameTime

Definition at line 37 of file IGUISpriteBank.h.

Referenced by SGUISprite().

The documentation for this struct was generated from the following file:

- IGUISpriteBank.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0